using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsMonitoringPointBaseData {
        //모니터링 관제점 기초정보
        [Display(Name = "설비종류"), Key]
        public int FacilityTypeId { get; set; }
        [Display(Name = "설비속성고유번호"), Key]
        public int PropertyId { get; set; }
        [Display(Name = "값 형식"), Required]
        public int ValueType { get; set; }
        [Display(Name = "누적여부"), Required]
        public bool IsAccumulated { get; set; }
        [Display(Name = "용도")]
        public short? ServiceTypeId { get; set; }
        [Display(Name = "연료 고유번호")]
        public short? FuelTypeId { get; set; }
        [Display(Name = "관제점 이름")]
        [StringLength(64)]
        public string Name { get; set; }
        [Display(Name = "관제점 설명")]
        [StringLength(256)]
        public string Description { get; set; }
        [Display(Name = "평균값 처리 여부")]
        public bool? IsSampled { get; set; }
        [Display(Name = "변환 여부")]
        public bool? IsConverted { get; set; }

        [ForeignKey("FacilityTypeId")]
        public virtual BemsFacilityType FacilityType { get; set; }
        [ForeignKey("FuelTypeId")]
        public virtual BemsFuelType FuelType { get; set; }
        [ForeignKey("ServiceTypeId")]
        public virtual BemsServiceType ServiceType { get; set; }
    }
}
